# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Applies to: NFS server

## Format

> ### DIRECTORY "/path/name" [/FULL | /VMS]

## Restrictions

> - Requires read access to the specified container directory.
> - Requires BYPASS privileges.

## PARAMETERS

> ### "/path/name"

> Required.

> Name of the UNIX-style container directory for which you want a directory listing and, optionally, directory names.

## QUALIFIERS

> ### /FULL

> Optional. Default: Brief display.

> Displays a comprehensive list of information, including the OpenVMS file name, for each file.

> ### /VMS

> Optional. Default: No OpenVMS file names provided.

> Provides the corresponding OpenVMS file name for each file.

##

### Examples

#1

    UCX> DIRECTORY/FULL "/nest_container"

    Directory:  /nest_container

     .
     OpenVMS file: _$1$DISK:[SYSTEM.NEST.HATCHLING]00012301$BFS.DIR;1
     Size                                File ID:   74497
      Blocks:            4               Owner
      Bytes:          1915                UID:          0
     Created:   1-NOV-1997 13:17:18.91    GID:          1
     Revised:   1-NOV-1997 13:17:19.24   Mode:        755  Type: Directory
     Accessed:  1-NOV-1997 13:16:20.52   Links:         2

         ..
     OpenVMS file: _$1$DISK:[SYSTEM.NEST.HATCHLING]00012301$BFS.DIR;1
     Size                                File ID:   74497
      Blocks:            4               Owner
      Bytes:          1915                UID:          0
     Created:   1-NOV-1997 13:17:18.91    GID:          1
     Revised:   1-NOV-1997 13:17:19.24   Mode:        755  Type: Directory
     Accessed:  1-NOV-1997 13:16:20.52   Links:         2

         .SUPER.SYS
     OpenVMS file: no corresponding file
     Size                                File ID:    6145
      Blocks:            1               Owner
      Bytes:            54                UID:          0
     Created:   1-NOV-1997 13:17:18.91    GID:          1
     Revised:   1-NOV-1997 13:17:17.24   Mode:        644  Type: File
     Accessed:  1-NOV-1997 13:16:18.52   Links:         1

         .BITMAP.SYS
     OpenVMS file: no corresponding file
     Size                                File ID:    6657
      Blocks:           16               Owner
      Bytes:          8187                UID:          0
     Created:   1-NOV-1997 13:17:18.91    GID:          1
     Revised:   1-NOV-1997 13:17:17.24   Mode:        644  Type: File
     Accessed:  1-NOV-1997 13:16:18.52   Links:         1

         .HISTORY.SYS
     OpenVMS file: no corresponding file
     Size                                File ID:   66305
      Blocks:            1               Owner
      Bytes:           129                UID:          0
     Created:   1-NOV-1997 13:17:18.91    GID:          1
     Revised:   1-NOV-1997 13:17:17.24   Mode:        644  Type: File
     Accessed:  1-NOV-1997 13:16:18.52   Links:         1

> Displays a full directory listing of the container file system /nest_container.

#2

    UCX> DIRECTORY "/dove/nest/plans"

> Displays names of the files in UNIX-style directory /dove/nest/plans.

# DISABLE SERVICE

> Sets the auxiliary server so it does not start the specified service.

> SET SERVICE does not modify dynamic information about services. Therefore, to change the auxiliary server's configuration for services, issue the DISABLE SERVICE and ENABLE SERVICE commands to toggle between disabled and enabled states.

> Related commands: ENABLE SERVICE, SET SERVICE, SHOW SERVICE

## Format

> ### DISABLE SERVICE service [/ADDRESS=IP_address | /PORT=n | /PROCESS=process | /PROTOCOL=protocol]

## PARAMETERS

> ### service

> Required.

> Service you want to disable. Specify any service that appears in the SHOW SERVICE display. To disable all services, use a wildcard.

## QUALIFIERS

> ### /ADDRESS=IP_address

> Optional. Default: 0.0.0.0.

> Disables only the services for the specified address.

> ### /PORT=n

> Optional. Default: All ports.

> Disables the service communicating at the specified port.

> ### /PROCESS=process

> Optional. Default: All processes.

> Disables the service running as the specified process.

> ### /PROTOCOL=protocol

> Optional. Default: All protocols.

> Disables only the services that use the specified protocol.

##

### Examples

#1

    UCX> DISABLE SERVICE TELNET

> Disables TELNET.

#2

    UCX> DISABLE SERVICE RLOGIN /ADDRESS=130.180.4.7

> Disables the remote login process bound to address 130.180.4.7.

# DISCONNECT DEVICE_SOCKET

> Interactively terminates an existing TCP connection.

## Format

> ### DISCONNECT DEVICE_SOCKET dev_sock_number

## PARAMETERS

> ### dev_sock_number

> Required.

> Number of the device socket associated with the connection you want to abort.

##

### Examples

#1

    UCX> DISCONNECT DEVICE_SOCKET BG123

> Interactively terminates the TCP connection at DEVICE_SOCKET BG123.

# DISMOUNT

> Makes a physically remote file system that is currently accessible to local users inaccessible.

> Dismounts a remote file system or directory from local device DNFSn: (the mount point).

> Required order of command keywords: the DISMOUNT keyword, immediately followed by mount_point. Example: DISMOUNT DNFS03:.

> Related commands: MOUNT, SHOW MOUNT

> Applies to: NFS client

## Format

> ### DISMOUNT {mount_point | logical_name} [/ALL | /HOST=host | /[NO]WAIT]

## Restrictions

> - Dismounting a /SYSTEM mount requires SYSNAM privileges.
> - Dismounting a /GROUP mount requires GRPNAM privileges.

## PARAMETERS

> ### mount_point

> Required (if you omit logical_name). Default: None.

> DNFS device (and optional directory tree) required to dismount. Specify this mount point as one of the following:

>     DNFSn:
>     DNFSn:[dir.subdir]
>     DNFSn:[dir.subdir]file

> where:

> n | Value from 1 to 9999.
> [ dir] or [ dir.subdir] | Directory to mount (up to eight in addition to the [000000] directory).
> file | Individual file to dismount.

> > Note

> > Type the device name immediately after the keyword DISMOUNT.

> If you use the /ALL qualifier, you must specify DNFSn: without the directory tree.

> ### logical_name

> Required (if you omit mount_point). Default: None.

> Logical name that you defined with the MOUNT command of the device to dismount.

## QUALIFIERS

> ### /ALL

> Optional.

> Dismounts one of the following:

> - All file systems from all servers: DISMOUNT /ALL
> - All file systems on the specified server: DISMOUNT /ALL /HOST=host
> - All file systems on the specified device: DISMOUNT DNFSn: /ALL

> ### /HOST=host

> Optional. Default: None.

> Dismounts all file systems from the specified NFS server.

> ### /WAIT

> ### /NOWAIT

> Optional. Default: /NOWAIT.
> - /WAIT
>   - Does not dismount the mounted file system if outstanding activities exist.
>   - Waits until the dismount has been completed.
>   - If you try to access any files on the mount point, the dismount fails.
> - /NOWAIT
>   - The client completes the command immediately.
>   - Dismounting does not actually occur until all file activity has completed.

##

### Examples

#1

    UCX> DISMOUNT DNFS3:

> Makes the file system mounted on local device DNFS3: inaccessible to local users.

#2

    UCX> DISMOUNT DNFS4:[USR.MNT]

> Dismounts only the specified mount point, [USR.MNT], on local device DNFS4:.

#3

    UCX> DISMOUNT DNFS5: /WAIT

> Dismounts the DNFS5:[000000] mount point and waits for it to occur.

#4

    UCX> DISMOUNT /ALL

> Dismounts all mount points on all devices.

#5

    UCX> DISMOUNT /ALL /HOST="robin"

> Dismounts all mount points served by host robin.

# ENABLE SERVICE

> Enables a service on the running UCX software.

> Related commands: DISABLE SERVICE, SHOW SERVICE

## Format

> ### ENABLE SERVICE [service] [/ADDRESS=IP_address | /PORT=n | /PROCESS=process | /PROTOCOL=protocol]

## PARAMETERS

> ### service

> Optional. Default: All services.

> Service to enable. The service must be defined in the services database.

## QUALIFIERS

> ### /ADDRESS=IP_address

> Optional. Default: 0.0.0.0.

> Binds the service only to the specified address. If your host is multihomed, use this qualifier to configure the service to be offered on a specific internet interface.

> ### /PORT=n

> Optional. Starts the service on the specified port.

> ### /PROCESS=process

> Optional.

> Runs the service as the specified process.

> ### /PROTOCOL=protocol

> Optional. Default: TCP.

> Runs the service with the specified protocol.

##

### Examples

#1

    UCX> ENABLE SERVICE TELNET

> Initializes TELNET communications.

#2

    UCX> ENABLE SERVICE RLOGIN /ADDRESS=130.180.4.7

> Starts the Remote Login service for users on the host with IP address 130.180.4.7.

#3

    UCX> ENABLE SERVICE SMTP

> Starts the SMTP receiver. To start the SMTP sender, see the START MAIL command. To start the SMTP sender when UCX starts up, see the SET CONFIGURATION ENABLE SERVICE command.

# EXIT

> Exits from the management program.

## Format

> ### EXIT

# EXPORT

> Copies a file from a UNIX-style container directory to an OpenVMS file.

> Related commands: IMPORT, DIRECTORY

## Format

> ### EXPORT "/path/name" vms_file_name

## Restrictions

> No wildcards.

## PARAMETERS

> ### "/path/name"

> Required.

> UNIX-style container with the file you want to copy.

> ### vms_file_name

> Required.

> OpenVMS file name for the copied file.

##

### Examples

#1

    UCX> EXPORT "/upland/sand/piper" USER1$:[BIRDY]JOBS.TXT

> Copies the file piper from the container directory /upland/sand to the regular OpenVMS file JOBS.TXT in directory [BIRDY] on disk USER1$:.

# GENERATE MAP

> Executes the mapping created with SET CONFIGURATION MAP commands.

> When the NFS server starts up, it issues GENERATE MAP.

> Related commands: SET CONFIGURATION MAP, SET CONFIGURATION NOMAP, SHOW CONFIGURATION MAP

> Applies to: NFS server

## Format

> ### GENERATE MAP

## Restrictions

> - Requires SYSPRV privileges.
> - Requires BYPASS privileges.

##

### Examples

#1

    UCX> GENERATE MAP

> Enables mapping information for NFS created with SET CONFIGURATION MAP commands from the configuration database. This command is not usually entered manually.

# HELP

> Displays online help for using the management commands.

## Format

> ### HELP [topic]

# IMPORT

> Copies an OpenVMS file to a UNIX-style file located in a UNIX-style container directory.

> Related commands: EXPORT, DIRECTORY

> Applies to: NFS server

## Format

> ### IMPORT vms_file_name "/path/name" [/[NO]CONVERT | /HOST=host | /[NO]LOG | /MODE=n | /UID=n | /USER_NAME=vms_user_name]

## Restrictions

> No wildcards.

## PARAMETERS

> ### vms_file_name

> Required.

> Name of the file to copy.

> ### "/path/name"

> Required.

> Name of the UNIX-style container directory into which you want to copy the file and, optionally, a file name.

## QUALIFIERS

> ### /CONVERT

> ### /NOCONVERT

> Optional. Default: /CONVERT.

> Converts OpenVMS record files to STREAM_LF files. (The NFS server stores UNIX files in STREAM_LF format.)

> ### /HOST=host

> Optional.

> Selects specific hosts if the proxy database has multiple host entries with the same user name and UID.

> ### /LOG

> ### /NOLOG

> Optional. Default: Displays values for host, UID, GID, and user name.

> Displays a full description of the specified proxy database record for you to determine ownership.

> ### /MODE=n

> Optional. Default: 755 (provides the following protection for owner, group, and world: rwx-rx-rx).

> UNIX-style protection for a new directory.

> Specify octal values in the following order: user, group, others. The values are:

> - 0 --- No access
> - 1 --- Execute access
> - 2 --- Write access
> - 3 --- Write and execute access
> - 4 --- Read access
> - 5 --- Read and execute access
> - 6 --- Read and write access
> - 7 --- Read, write, and execute access

> For example, /MODE=751 provides:

> User | Read, write, and execute access | 7 | rwx
> Group | Read and execute access | 5 | rx
> Other | Execute access | 1 | x

> ### /UID=n

> Optional. Default: Determined with CREATE DIRECTORY.

> Selects a specific entry in the proxy database to determine the ownership of the UNIX file.

> In the proxy database:

> - UID and GID fields identify UNIX ownership.
> - User name field identifies OpenVMS ownership.

> If you want to access an entry in the proxy database without a unique UID and user name combination, you might need to specify the /HOST qualifier. For example, the same UID and user name combination could appear on multiple hosts.

> You can use the /UID qualifier in any combination with the /HOST and /USER_NAME qualifiers. However, if you do not have SYSPRV or BYPASS privileges, the values you specify must correspond to the values for your user name in the proxy database.

> ### /USER_NAME=vms_user_name

> Optional. Default: None.

> Selects a specific entry in the proxy database to determine the ownership of the UNIX file.

> The UID and GID fields in this entry establish the file's UNIX identity, while the user name field provides the OpenVMS ownership.

> If you want to access an entry in the proxy database without a unique UID and user name combination, you might need to specify the /HOST qualifier. For example, the same UID and user name combination could appear on multiple hosts.

> If you have SYSPRV or BYPASS privileges and do not specify the /USER_NAME qualifier, the proxy record with a UID of 0 and a GID of 1 is selected.

> SYSPRV or BYPASS privileges are required to select a user name that has a UIC different from the UIC of the process running the management program.

> You can use the /USER_NAME qualifier in any combination with the /HOST and /UID qualifiers. However, if you do not have SYSPRV or BYPASS privileges, the values you specify must correspond to the values for your user name in the proxy database.

> If you do not specify the /USER_NAME qualifier, the proxy record with a GID of 1 and a UID of 0 is selected. If there is no proxy entry for the UID of 0, IMPORT fails.

##

### Examples

#1

    UCX> IMPORT USER1$:[BIRDY]JOBS.TXT "/upland/sand/piper"

> Copies file JOBS.TXT to the UNIX-style directory /upland/sand/piper. The file's ownership is determined with CREATE DIRECTORY.

# LIST COMMUNICATION_CONTROLLER

> Displays the communication controllers known to UCX.

> Related commands: DEFINE COMMUNICATION_CONTROLLER, DELETE COMMUNICATION_CONTROLLER

## Format

> ### LIST COMMUNICATION_CONTROLLER [controller] [/INTERNET_INTERFACE=character]

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### controller

> Optional. Default: All devices.

> Displays the specified OpenVMS device name.

> Specify a 2-letter name that you entered with the DEFINE COMMUNICATION_CONTROLLER command.

## QUALIFIERS

> ### /INTERNET_INTERFACE=character

> Optional. Default: All letters.

> Displays entries with the specified letter, which represents the first letter of an interface name.

##

### Examples

#1

    UCX> LIST COMMUNICATION_CONTROLLER

                        Communication Controller Configuration

    Controller:  LO   Internet Interface:  L
                             Description:
                                    Type:  LOCAL

    Controller:  EC   Internet Interface:  C
                             Description:
                                    Type:  CLUSTER ETHERNET

    Controller:  XE   Internet Interface:  D
                             Description:
                                    Type:  CLUSTER ETHERNET

    Controller:  EZ   Internet Interface:  Z
                             Description:
                                    Type:  CLUSTER ETHERNET

    Controller:  FW   Internet Interface:  W
                             Description:
                                    Type:  CLUSTER FDDI

    Controller:  FA   Internet Interface:  A
                             Description:
                                    Type:  CLUSTER FDDI

    Controller:  WI   Internet Interface:  W
                             Description:
                                    Type:  WIRELESS

    Controller:  IC   Internet Interface:  C
                             Description:
                                    Type:  CLUSTER TOKEN_RING
    UCX>

> Displays all the information in the table used to match OpenVMS device names with internet interface names.

# LOOP

> Sends ICMP ECHO packets to hosts to determine if they are active. Same as the PING command.

## Format

> ### LOOP [host] [/ALL | /NUMBER_PACKETS=n | /PACKET_SIZE=n | /[NO]ROUTE]

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### host

> Optional. Default: None.

> Host to which the packets are sent. Omitting host tests the local UCX software.

## QUALIFIERS

> ### /ALL

> Optional. Default: Not all requests.

> Displays all ICMP ECHO_REQUESTs, even if not in direct response to this operation.

> ### /NUMBER_PACKETS=n

> Optional. Default: 1 per second.

> Number of packets to send.

> ### /PACKET_SIZE=n

> Optional. Default: 64 bytes.

> Size of the ICMP ECHO_REQUEST.

> ### /ROUTE

> ### /NOROUTE

> Optional. Default: /ROUTE.

> /ROUTE | Request is routed through the normal routing tables.
> /NOROUTE | Normal routing tables are bypassed. If the host is not on the LAN, you get an error.

##

### Examples

#1

    UCX> LOOP thrush

> Tests the connectivity path to UNIX host thrush.

#2

    UCX> LOOP

> Tests the local UCX software.

#3

    UCX> LOOP /NOROUTE thrush

> Tests the path to the UNIX host thrush without using normal routing tables.

# MAP

> Maps (logically links) one of the following to the NFS server:
> - OpenVMS disk --- Requires one execution of MAP to map the disk to a UNIX-style path name (logical file system).
> - Container file system --- Requires two executions of MAP. The first maps the disk, and the second maps the file system.

> Mapping creates a logical file system, also called an NFS file system. A logical file system (with an entry in the export database) is accessible to NFS client users for mounting.

> To make a file system available on all nodes of a cluster, map it on each node.

> Mapping is one step in the tasks to give remote users access to a file system that physically resides on an OpenVMS host running NFS server:

> - Map the file system.
> - Export the file system (add an entry in the export database).
> - Give potential users entries in the proxy database.

> MAP settings are not permanent. To MAP file systems in the permanent configuration database, issue SET CONFIGURATION [NO]MAP and GENERATE MAP.

> Related commands: SHOW MAP, UNMAP

> Applies to: NFS server

## Format

> ### MAP "file system name" logical_file_system

## Restrictions

> - Requires SYSPRV privileges.
> - Requires BYPASS privileges.

## PARAMETERS

> ### "file system name"

> Required.

> Name for either a disk or a container file system. In the case of mapping a disk, the "/path" can be only one level from the root.

> ### logical_file_system

> Required.

> File system to make known to the NFS server.
> To map an OpenVMS file system, specify its disk:

>     UCX> MAP "/disk" disk:

> To map a container file system, specify the disk and the directory name:

>     UCX> MAP "/disk/vms/directory/name" disk:[vms.directory.name]

##

### Examples

#1

    UCX> MAP "/usr" CANARY$DUA2:

> Maps local disk CANARY$DUA2: to /usr. This disk is accessible to users on remote NFS clients as /usr.

#2

    UCX> MAP "/remote" VERDIN$DUA3:
    UCX> MAP "/remote/flyers" VERDIN$DUA3:[UNIX_BIRD_FILES]

> Maps [UNIX_BIRD_FILES], a container file system on disk VERDIN$DUA3:, to /remote/flyers. This file system is accessible to NFS server users as /remote/flyers.

# MOUNT

> Makes a physically remote file system accessible to local users.

> Mounts a remote directory to local device DNFSn:. Similar in function to the UNIX /etc/mount command, MOUNT gives a file system a UNIX-style path name. (In format and style, MOUNT resembles the DCL command MOUNT.)

> You can mount either OpenVMS or UNIX file systems.

> > Notes

> > - If you mount remote OpenVMS directories where the NFS server is running UCX, use the /NOADF qualifier on the MOUNT command line unless you are using the OpenVMS-to-OpenVMS integration feature.
> >   The /NOADF requirement applies only if the remote NFS server is running versions of UCX earlier than Version 3.3 and cannot participate in OpenVMS-to-OpenVMS mode operation.
> > - Required order of command keywords: the MOUNT keyword, immediately followed by mount_point. Example: MOUNT DNFS01:
> > - For the qualifiers that require a time value, specify OpenVMS delta time.
> > - Whenever you specify multiple options and values, use the following syntax:
> >   /qualifier=(option_a:value1,option_b:value2,value3)

> Applies to: NFS client.

> Related commands: DISMOUNT, SHOW MOUNT

## Format

> ### MOUNT mount_point [volume_label] [logical_name] [/HOST=host |/PATH="/path/name" |/ACP_PARAMS=options | /[NO]ADF[=option] | /AUTOMOUNT[=INACTIVITY:time] | /BACKGROUND[=options] | /CACHE_TIMEOUT[=options] | /[NO]CONVERT | /DATA=[options] | /FILEIDS[=options] | /[NO]FORCE | /GID=gid | /GROUP | /OWNER_UIC=n | /PROCESSOR=acp_option | /PROTECTION=protections | /RETRIES=n | /SERVER_TYPE=type | /SHARE | /[NO]SUPERUSER=uid | /SYSTEM | /TIMEOUT=OpenVMS_delta_time | /UID=uid | /USER=user | /[NO]WRITE]

## PARAMETERS

> ### mount_point

> Required.

> Previous | Next | Contents